Skip to main content
POST
/
environments
/
settings
Update settings
curl --request POST \
  --url https://api.example.com/environments/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "handles": {
    "invoicePrefix": "<string>",
    "customerPrefix": "<string>",
    "subscriptionPrefix": "<string>"
  },
  "invoice": {
    "seed": 123
  },
  "paymentTerm": {
    "defaultTerm": "<string>"
  }
}
'
import requests

url = "https://api.example.com/environments/settings"

payload = {
"handles": {
"invoicePrefix": "<string>",
"customerPrefix": "<string>",
"subscriptionPrefix": "<string>"
},
"invoice": { "seed": 123 },
"paymentTerm": { "defaultTerm": "<string>" }
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
handles: {
invoicePrefix: '<string>',
customerPrefix: '<string>',
subscriptionPrefix: '<string>'
},
invoice: {seed: 123},
paymentTerm: {defaultTerm: '<string>'}
})
};

fetch('https://api.example.com/environments/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "handles": {
    "invoicePrefix": "<string>",
    "customerPrefix": "<string>",
    "subscriptionPrefix": "<string>"
  },
  "invoice": {
    "seed": 123
  },
  "paymentTerm": {
    "defaultTerm": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Body

application/json

Required. Update environment settings.

handles
object
required
invoice
object
required
paymentTerm
object
required

Response

OK

handles
object
required
invoice
object
required
paymentTerm
object
required